---
title: Document.images
slug: Web/API/Document/images
tags:
  - API
  - Document
  - HTML DOM
  - Images
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>images</strong></code> read-only property of the {{domxref("Document")}} interface returns a <a href="/en-US/docs/Web/API/HTMLCollection">collection</a> of the <a href="/en-US/docs/DOM/Image" title="DOM/Image">images</a> in the current HTML document.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>var imageCollection</em> = document.images;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("HTMLCollection")}} providing a live list of all of the images contained in the current document. Each entry in the collection is an {{domxref("HTMLImageElement")}} representing a single image element.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>You can use either JavaScript array notation or the {{domxref("HTMLCollection.item", "item()")}} method on the returned collection to access the items in the collection. The following are equivalent:</p>

<pre class="brush: js">firstImage = imageCollection.item(0);

firstImage = imageCollection[0];</pre>

<h2 id="Example">Example</h2>

<p>This example looks through the list of images and finds one whose name is <code>"banner.gif"</code>.</p>

<pre class="brush:js">var ilist = document.images;

for(var i = 0; i &lt; ilist.length; i++) {
    if(ilist[i].src == 'banner.gif') {
        // found the banner
    }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-document-images', 'Document.images')}}</td>
   <td>{{ Spec2('HTML WHATWG') }}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-90379117', 'Document.images')}}</td>
   <td>{{ Spec2('DOM2 Events') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.images")}}</p>
